#include <TCS230.h>

/*
	This sketch uses the TCS230 light sensor and outputs its data to the 
	computer. It assumes the use of John Sarik's TCS230-to-Arduino 
	mounting board. Sending it X characters over the serial port will 
	cause it to return X readings back through the serial port. 
*/

TCS230 sensor; 
int switchPin = 11; 
char buffer; 

void setup()
{
  
    Serial.begin(9600); 
    sensor.initialize(); 
    Serial.println("serial communication initialized"); 
    pinMode(switchPin, INPUT); 
}

void loop()
{
    if (Serial.available()) //if the switch is high
    {
      buffer = serial.read(); 
      Serial.print("red: "); 
      Serial.println(sensor.readRed()); 
    
      Serial.print("blue: "); 
      Serial.println(sensor.readBlue()); 
    
      Serial.print("green: "); 
      Serial.println(sensor.readGreen()); 
    
      Serial.print("clear: "); 
      Serial.println(sensor.readClear()); 
    
      Serial.print("\n\n"); 
      
      //while (digitalRead(switchPin)); //wait until switch is released
      
    }

  
}
